Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access
Class ConnectionLogger

    java.lang.Object
      org.objectstyle.cayenne.access.ConnectionLogger

All Implemented Interfaces:
  ConnectionEventLoggingDelegate

Direct Known Subclasses:
  ConnectionEventLogger

    public class ConnectionLogger

extends java.lang.Object
implements ConnectionEventLoggingDelegate

Adapts `QueryLogger` to be used as a `ConnectionEventLoggingDelegate` with Cayenne connection pools.

Since:
  1.2
Author:
  Andrus Adamchik

Constructor Summary
`ConnectionLogger()`

Method Summary
`void` | `logConnect(java.lang.String url, java.lang.String userName, java.lang.String password)`
`void` | `logConnectFailure(java.lang.Throwable th)`
`void` | `logConnectSuccess()`
`void` | `logPoolCreated(DataSourceInfo info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionLogger

    public ConnectionLogger()

Method Detail

### logConnect

    public void logConnect(java.lang.String url,
                           java.lang.String userName,
                           java.lang.String password)

  Specified by:
    `logConnect` in interface `ConnectionEventLoggingDelegate`

### logConnectFailure

    public void logConnectFailure(java.lang.Throwable th)

  Specified by:
    `logConnectFailure` in interface `ConnectionEventLoggingDelegate`

### logConnectSuccess

    public void logConnectSuccess()

  Specified by:
    `logConnectSuccess` in interface `ConnectionEventLoggingDelegate`

### logPoolCreated

    public void logPoolCreated(DataSourceInfo info)

  Specified by:
    `logPoolCreated` in interface `ConnectionEventLoggingDelegate`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.